﻿@using EpamMVC.WEB.HtmlHelpers
@model EpamMVC.WEB.Areas.Admin.Models.ExceptionLogAdmin.IndexViewModel

<div class="card js_callbackTableWidget">
    <div class="card-header">
        <h3 class="card-title">
            Карты
        </h3>
        <div class="card-tools">
            @Html.PrintPagination(Model.Pagination)
        </div>
    </div>
    <div class="card-body">

        <table class="table table-striped table-hover table-bordered">

            <thead>
            <tr>
                <th>
                    Id
                </th>
                <th>
                    Дата
                </th>
                <th>
                    Controller
                </th>
                <th>
                    Action
                </th>
                <th>
                    Exception
                </th>
            </tr>
            </thead>

            <tbody>

            @foreach (var record in Model.LogRecords)
            {
                <tr>
                    <td>
                        <a href="@Url.Action("Details", new {record.Id})">
                            @record.Id
                        </a>
                    </td>
                    <td>
                        @(record.DateTime.ToString("s"))
                    </td>
                    <td>
                        @record.ControllerName
                    </td>
                    <td>
                        @record.ActionName
                    </td>
                    <td>
                        @record.Exception
                    </td>
                </tr>
            }

            </tbody>
        </table>
    </div>
    <div class="card-footer clearfix">
        @Html.PrintPagination(Model.Pagination)
    </div>
</div>
